Ubuntu

broken packaging: package flashplugin-nonfree failed to install/upgrade: (breaks upgrade)

Reported by Paul Sladen on 2009-09-15
This bug affects 315 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Critical
Chris Coulson
Declined for Hardy by Chris Coulson
Declined for Jaunty by Chris Coulson
Declined for Maverick by Chris Coulson
Karmic
High
Unassigned
Lucid
Critical
Michael Vogt

Bug Description

TEST CASE for 8.04 -> 10.04 SRU:
1. use hardy
2. install flashplugin-nonfree
3. run "update-manager --proposed" to upgrade to lucid
4. verify that it fails in flashplugin-nonfree

5. use fresh hardy ubuntu desktop but enable hardy-proposed this time
6. repeat 2,3
7. verify that it works now

Its not really needed to reproduce the failure (step 2,3,4) because of the amount of duplicates. I consider
this verification a success if 5,6,7 works ok.

TEST CASE 2: Removal of flashplugin-nonfree
$ apt-get install flashplugin-nonfree
$ apt-get remove flashplugin-nonfree

VERIFICATION DONE:
- Package is removed cleanly

Binary package hint: flashplugin-nonfree

Upgrading 9.04 -> latest karmic.

ProblemType: Package
Architecture: i386
Date: Tue Sep 15 06:45:05 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: Package is in a very bad inconsistent state - you should reinstall it before attempting configuration.
Package: flashplugin-nonfree 10.0.22.87ubuntu1
ProcVersionSignature: Ubuntu 2.6.28-11.38-generic
SourcePackage: flashplugin-nonfree
Title: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to install/upgrade:
Uname: Linux 2.6.28-11-generic i686

Paul Sladen (sladen) wrote :
Paul Sladen (sladen) wrote :

$ sudo dpkg -i /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 260195 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 10.0.22.87ubuntu1 (using .../flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb) ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb (--install):
 there is no script in the new version of the package - giving up
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb

$ sudo dpkg -i /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu0.9.04.1_i386.deb
(Reading database ... 260195 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 10.0.22.87ubuntu1 (using .../flashplugin-nonfree_10.0.32.18ubuntu0.9.04.1_i386.deb) ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu0.9.04.1_i386.deb (--install):
 there is no script in the new version of the package - giving up
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu0.9.04.1_i386.deb

$ sudo dpkg -i /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb
(Reading database ... 260195 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 10.0.22.87ubuntu1 (using .../flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb) ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb (--install):
 there is no script in the new version of the package - giving up
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb

Paul Sladen (sladen) wrote :

$ sudo dpkg -i /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb
Selecting previously deselected package flashplugin-nonfree.
(Reading database ... 260195 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 10.0.22.87ubuntu1 (using .../flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb) ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb (--install):
 there is no script in the new version of the package - giving up
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-nonfree_10.0.32.18ubuntu1_i386.deb

Changed in flashplugin-nonfree (Ubuntu):
importance: Undecided → High
Paul Sladen (sladen) wrote :

$ sudo dpkg -P flashplugin-nonfree
dpkg: error processing flashplugin-nonfree (--purge):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting a removal.
Errors were encountered while processing:
 flashplugin-nonfree

$ dpkg -l | grep nonfree
pFR flashplugin-nonfree 10.0.22.87ubuntu1 Adobe Flash Player plugin installer

Section from: /var/lib/dpkg/state

Package: flashplugin-nonfree
Status: purge reinstreq half-configured
Priority: optional
Section: contrib/web
Installed-Size: 164
Maintainer: Ubuntu MOTU Developers <email address hidden>
Architecture: i386
Version: 10.0.22.87ubuntu1
Config-Version: 10.0.22.87ubuntu1
Replaces: flashplugin (<< 6)
Depends: debconf | debconf-2.0, wget, libgtk2.0-0, fontconfig, libxt6, libxext6, libatk1.0-0, libc6, libcairo2, libexpat1, libfontconfig1, libfreetype6, libglib2.0-0, libice6, libpango1.0-0, libpng12-0, libsm6, libx11-6, libxau6, libxcursor1, libxdmcp6, libxfixes3, libxi6, libxinerama1, libxrandr2, libxrender1, zlib1g, libnss3-1d (>= 3.12.0~beta3), libnspr4-0d (>= 4.7.1~beta2)
Recommends: libasound2-plugins (>= 1.0.16)
Suggests: firefox, xulrunner-1.9, firefox-3.0, konqueror-nsplugins, x-ttcidfont-conf, msttcorefonts, ttf-bitstream-vera | ttf-dejavu, ttf-xfree86-nonfree, xfs (>= 1:1.0.1-5)
Conflicts: flashplayer-mozilla, flashplugin (<< 6), libflashsupport, xfs (<< 1:1.0.1-5)
Description: Adobe Flash Player plugin installer
 This package will download the Flash Player from Adobe. It is a
 Netscape/Mozilla type plugin. Any browser based on Netscape or Mozilla can
 use the Flash plugin. This package currently supports the following browsers:
 Mozilla, Mozilla-Firefox, Firefox, Iceweasel, and Iceape. Also Galeon and
 Epiphany can use the Flash plugin. Konqueror can also use the Flash plugin if
 konqueror-nsplugins is installed.
 .
 WARNING: Installing this Ubuntu package causes the Adobe flash plugin to be
 downloaded from www.adobe.com. The distribution license of the Adobe flash
 plugin is available at www.adobe.com. Installing this Ubuntu package implies
 that you have accepted the terms of that license.
Homepage: http://wiki.ubuntu.com/FlashPlayer9
Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Npp-Description: Adobe Flash SWF Player (http://www.adobe.com)
Npp-File: libflashplayer.so
Npp-Mimetype: application/x-shockwave-flash
Npp-Name: Adobe Flash Player (installer)
Original-Maintainer: Bart Martens <email address hidden>

I have similar problem, don't know if it's the same but:

Need to get 0B/21.0kB of archives.
After this operation, 41.0kB of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 192447 files and directories currently installed.)
Preparing to replace flashplugin-installer 10.0.22.87ubuntu2 (using .../flashplugin-installer_10.0.22.87ubuntu2_i386.deb) ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
prerm called with unknown argument `failed-upgrade'
dpkg: error processing /var/cache/apt/archives/flashplugin-installer_10.0.22.87ubuntu2_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
postinst called with argument `abort-upgrade'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Selecting previously deselected package flashplugin-nonfree.
Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_10.0.32.18ubuntu0.9.04.1_i386.deb) ...
Errors were encountered while processing:
 /var/cache/apt/archives/flashplugin-installer_10.0.22.87ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Paul Sladen (sladen) on 2009-09-25
Changed in flashplugin-nonfree (Ubuntu):
milestone: none → ubuntu-9.10
status: New → Confirmed
summary: - package flashplugin-nonfree 10.0.22.87ubuntu1 failed to install/upgrade:
+ broken packaging: package flashplugin-nonfree 10.0.22.87ubuntu1 failed
+ to install/upgrade:
summary: broken packaging: package flashplugin-nonfree 10.0.22.87ubuntu1 failed
- to install/upgrade:
+ to install/upgrade: (breaks upgrade)

a possible fix is create a symbolic link /etc/alternatives/iceape-flashplugin -> /usr/lib/mozilla/plugins/flashplugin-alternative.so

I can confirm this bug. Now I am unable to install/uninstall anything. How do I get rid of the package?

Neither of these work:
apt-get -f install
apt-get remove flashplugin-nonfree
aptitude reinstall flashplugin-nonfree
aptitude remove flashplugin-nonfree

This removed the package for me:

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

dougfractal (dougs-b) wrote :

Thanks Emanuel Greisen

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

Worked for me too.

Ahmed Elshahhat (xreloaded) wrote :

Wow Great , It worked 4 me too
awesome Emanuel
Thank you

Paul van Genderen (paulvg) wrote :

"Exception during pm.DoInstall(): E:Sub-process /usr/bin/dpkg returned an error code (1)" isn't specific to any package, it happens to me on jockey and jockey-gtk. Should I file a new bug?

alaixi (alaixih) wrote :

I don t have any repertory called rm/
Is it right ? ( i am on xubuntu 9.10 ).

pinzia (pinzia) wrote :

rm is the command remove!
rm (space) /var/lib/dpkg/info..etc

For reference, this is fixed in adobe-flashplugin 10.0.32.18-1karmic2 and we should consider porting the fix to flashplugin-nonfree

lorisoft24 (p-lorenz) on 2009-12-22
Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Gregory L. Magnusson (glm) wrote :

Thanks Emanuel Greisen

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

Worked for me too with version 9.10
This was hours of frustration. I appreciate your help.

piru (shangaiy) wrote :

Thanks Emanuel Greisen

Gracias.

Thanks Emanuel Greisen

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

Worked for me too with version 9.10
Thanks there was a really problem for me.

 Am glad there was a fix.
 Every now and then I like to watch this video, so I really needed
the flash plugin to work.

http://www.youtube.com/watch?v=6CAJtu2nHLw&feature=PlayList&p=6BF3ADE68707E867&index=17
[1]
 On Fri 01/29/10 09:00 , "<email address hidden>"
<email address hidden> sent:
 Thanks Emanuel Greisen
 rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
 dpkg --remove --force-remove-reinstreq flashplugin-nonfree
 dpkg --purge --force-remove-reinstreq flashplugin-nonfree
 Worked for me too with version 9.10
 Thanks there was a really problem for me.
 --
 broken packaging: package flashplugin-nonfree 10.0.22.87ubuntu1
failed to install/upgrade: (breaks upgrade)
 https://bugs.launchpad.net/bugs/429841
 You received this bug notification because you are a direct
subscriber
 of a duplicate bug.
 Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
 Bug description:
 Binary package hint: flashplugin-nonfree
 Upgrading 9.04 -> latest karmic.
 ProblemType: Package
 Architecture: i386
 Date: Tue Sep 15 06:45:05 2009
 DistroRelease: Ubuntu 9.10
 ErrorMessage:
  ErrorMessage: Package is in a very bad inconsistent state - you
should reinstall it before attempting configuration.
 Package: flashplugin-nonfree 10.0.22.87ubuntu1
 ProcVersionSignature: Ubuntu 2.6.28-11.38-generic
 SourcePackage: flashplugin-nonfree
 Title: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to
install/upgrade:
 Uname: Linux 2.6.28-11-generic i686
 To unsubscribe from this bug, go to:

https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/429841/+subscribe

Links:
------
[1]
http://www.youtube.com/watch?v=6CAJtu2nHLw&amp;feature=PlayList&amp;p=6BF3ADE68707E867&amp;index=17

Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → MOTU (motu)

unassigned MOTU as they were wrongly assigned to the bug task.

Changed in flashplugin-nonfree (Ubuntu):
assignee: MOTU (motu) → nobody
T.M.BAYFORD (crashcrewusmc) wrote :

I just wanted to say thanks, and that this fix really helped. I am learning the new system, just switched from a dual boot system, finally comfortable enough to ditch windows completely. This fix was so simple, cut, paste and that was it. To anyone one out there considering making the leap from windows to Linux, you won't get this kind of support from microsoft.

Someone PLEASE kill that stupid flash and flashplugin ... pretty please.

Paul van Genderen (paulvg) wrote :

Well someone better buy Adobe and fire the whole Flash department then. Meanwhile, I (for one) will continue to use and advocate actual web standards rather then bash thee who stifle them.

Harry Tuttle (harold-tuttle) wrote :

I had a batch of problems after upgrading to 9.10, one of which was this 'flashplugin-nonfree' nightmare.
The first two commands worked very slick.
"rm /var/lib/dpkg/info/flashplugin-nonfree.prerm"
resulted in new command line
"dpkg --remove --force-remove-reinstreq flashplugin-nonfree"
complained about "very bad inconsistent state" but did it "because --force enabled"
"dpkg --purge --force-remove-reinstreq flashplugin-nonfree"
gave me a warning:
"dpkg: warning: while removing flashplugin-nonfree, directory '/var/cache/flashplugin-nonfree' not empty so not removed."
at the resulting command line I did
"ls /var/cache/flashplugin-nonfree"
which showed one file:
install_flash_player_9.tar.gz

I expect that removing this manually (and perhaps reissuing the "dpkg --purge") will complete the process started with the third command, but as I have spent a great deal of time on this problem I will wait for confirmation of that.

Thank you for your time and consideration.

Paul van Genderen (paulvg) wrote :

Yes, you can safely remove /var/cache/flashplugin-nonfree/install_flash_player_9.tar.gz . If you really need Flash, you can install it with
sudo aptitude install flashplugin-installer

T.M.BAYFORD (crashcrewusmc) wrote :

I received the same '/var/cache/flashplugin-nonfree' not empty so not removed." warning. I disregarded it and have been fine.

On a separate issue, I had a problem waking up my computer after it was closed. I read somewhere that the swap had to be the same as the ram size? I have 2 gig ram, and my swap was 3.8 gig. I used an install disk, ran thru the partitioner, reduced my swap to 2048mb, and have had problems mounting a volume. Can this be fixed without having to wipe my HD and re-install? Sorry to break thread.

tags: added: jaunty2karmic
Paul van Genderen (paulvg) wrote :

Please keep it on-topic. You can ask questions not related to this bug in the "Answers" section under Ubuntu.

Feel free to post comments on the flashplugin-nonfree package with regard to upgrading Ubuntu 9.04 to Ubuntu 9.10 here.

I had the same problem with an update from 8.04LTS to 10.04beta2 LTS

tags: added: hardy2lucid

Did you remedy the problem? I have run the code manually using cut and
paste links, and on another install by simply going to the website and
downloading the package for 9.04+

On Tue, 2010-04-20 at 08:20 +0000, Richard Genoud wrote:
> I had the same problem with an update from 8.04LTS to 10.04beta2 LTS
>

forcefully removing the package as per comment #8 resolves the problem in an upgrade from hardy to lucid RC, but unless the package is first fixed in hardy first is likely to hit everyone attempting that upgrade once lucid is released

Didier Fort (didier-fort) wrote :

I agree with comment #31, I applied comment #8, but how do I restart the upgrade from 8.04 LTS to 10.04 LTS?

Fabi Arce Jofré (farcejofre) wrote :

This also affects me while upgrading from 8.04.4 LTS to latest 10.04 LTS. I've downloaded the ISO and started a cdrom upgrade.
Also worked for me after doing the fix suggested above by Emanuel Greisen:

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

all commands with "sudo" in front.

Hope this helps,
Fabi

Frances Gill (fmgill) wrote :

Thank you. Thank you! Thank you!!!! Once I figured out I had to put "sudo" in front of the commands (was working on this while Fabi was posting) and figured out how to get the, in my case, 2 files out of the cache directory and ran the update manager again and restarted -- Wooo Hoooo!!!!

Again, thanks to everyone!

Frances
(not nearly so technical as folks who "know" me think I am!)

Colleen Dick (colleen) wrote :

I had this same prob going from 8.04 to 10. whatever and this seemed to fix it. then when I did install flash installer it did a whole bunch of other stuff which I'm guessing was the rest of the upgrade??

Hope so.

Hmmm ... This certainly freed up the system, BUT the reinstalled flash player (in Lucid with Firefox as installed during upgrade) DOESN'T WORK. Furthermore myspace (which seems to have gone berserk) is STILL saying I need to update flash, despite my having just installed the latest from the adobe website.

Still trying ...

OK I see what the problem is now. Somewhere along the way the previous version of Shockwave Flash (as it is still described in ADD-ONS - version 9.0 r152) got entombed in the installation. Can some kind person please post instructions about how to remove that? Otherwise the update simply sits in a new slot and does nothing!

Hola

I did this:

rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
dpkg --remove --force-remove-reinstreq flashplugin-nonfree
dpkg --purge --force-remove-reinstreq flashplugin-nonfree

After I went to synaptic and install flashplugin installer.

Regards,

Yannick

On Tue, May 4, 2010 at 12:16 PM, Trevor Robert Gilson <
<email address hidden>> wrote:

> OK I see what the problem is now. Somewhere along the way the previous
> version of Shockwave Flash (as it is still described in ADD-ONS -
> version 9.0 r152) got entombed in the installation. Can some kind person
> please post instructions about how to remove that? Otherwise the update
> simply sits in a new slot and does nothing!
>
> --
> broken packaging: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to
> install/upgrade: (breaks upgrade)
> https://bugs.launchpad.net/bugs/429841
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: flashplugin-nonfree
>
> Upgrading 9.04 -> latest karmic.
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Sep 15 06:45:05 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: Package is in a very bad inconsistent state - you should
> reinstall it before attempting configuration.
> Package: flashplugin-nonfree 10.0.22.87ubuntu1
> ProcVersionSignature: Ubuntu 2.6.28-11.38-generic
> SourcePackage: flashplugin-nonfree
> Title: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to
> install/upgrade:
> Uname: Linux 2.6.28-11-generic i686
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/429841/+subscribe
>

Yes I did all this and as stated it certainly freed things up with regard to error messages - but it DIDN't remove version 9 even after installing the update - and that appears to be causing havoc.

Finally got a temporary fix by using Chromium browser instead of Firefox.

I lay most of the blame with Adobe. Note that:
1) I woke up one morning to find that myspace no longer worked with Ubuntu Hardy (8.04) and Flash 9 on my laptop. I attempted to install Flash 10 as suggested and it failed even at this stage (with no upgrade of Ubuntu in mind).

2) I decided to upgrade in case Hardy was the problem - it was just a freak that Lucid LTS came online at exactly this time (or was it?)

3) You all know the upgrade fracas.

4) When I finally got Flash 10 working on Chromium, I found that on myspace adverts were appearing over the top of the player (and stopping it). Is this why they wanted to use Flash 10 - did it facilitate popup adverts? Was it released too soon to get this going?

I am not happy. Unfortunately I need myspace - as a folk club co-organiser I need to listen to a lot of material put there by intending (grossly underpaid) 'Guests' (as we call artists). I also listen a lot to BBC radio on the web for 'listen again' - currently it doesn't work on my Firefox despite being notionally useable with Flash 9. (But a clean install of Lucid on a cruddy old desktop in another room works fine with Firefox.)

I believe this is not off-topic - sorry if you disagree.

Amir (amirzod) wrote :

I was affected also, upgrading Hardy -> Lucid (32-bit) on Thinkpad T41.
sudo rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
sudo dpkg --remove --force-remove-reinstreq flashplugin-nonfree
sudo dpkg --purge --force-remove-reinstreq flashplugin-nonfree

worked. Then from from Synaptic I selected Adobe Flashplugin and installed no errors.
Now I'm updating the system via "update manager" and it is completed. gotta reboot now.

thanks for the workaround.

Ilian Hristov (ilian-hristov) wrote :

I was updating from 8.04 to 10.04 and encountered the same problem. Broken package etc. etc. I used the three lines of command from #8 above and it worked. I was able to install flash. Do I need to fix anything else with the upgrade or should it fine now? Thank you Emanuel. I am a newbie and It took me a long time to fix this problem. These commands should be posted somewhere more accessible because it seems to be affecting many people.

I also got this problem when upgrading from Ubuntu 8.04 to 10.04. The following commands solved the problem:

The three lines of commands above solved my problem too.

I'm raising the importance to critical due to the large number of users affected and because it breaks the upgrade from LTS -> LTS

Changed in flashplugin-nonfree (Ubuntu):
importance: High → Critical
summary: - broken packaging: package flashplugin-nonfree 10.0.22.87ubuntu1 failed
- to install/upgrade: (breaks upgrade)
+ broken packaging: package flashplugin-nonfree failed to install/upgrade:
+ (breaks upgrade)
mue.de (emuede) wrote :

At this thread (http://forum.ubuntuusers.de/topic/aktualisierungsverwaltung-zerschossen/) I described the problems i had with an dist-upgrade from kubuntu Hardy Heron 8.04 to Lucid Lynx 10.04.

 dpkg --get-selections flash*
flashplugin-installer install
flashplugin-nonfree deinstall

 sudo apt-get remove --purge flashplugin-nonfree
Die folgenden Pakete werden ENTFERNT:
  flashplugin-nonfree*
0 aktualisiert, 0 neu installiert, 1 zu entfernen und 194 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 168kB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]? J
dpkg: Fehler beim Bearbeiten von flashplugin-nonfree (--purge):
 Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten
 es erneut installieren, bevor Sie es zu entfernen versuchen.
Fehler traten auf beim Bearbeiten von:
 flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)
muelux@muelux-LT6cA:~$ sudo apt-get clean
muelux@muelux-LT6cA:~$ dpkg --get-selections|grep -v install
flashplugin-nonfree purge

dpkg - probiere stattdessen Skript aus dem neuen Paket ...
dpkg: Fehler beim Bearbeiten von flashplugin-nonfree_10.0.45.2ubuntu1_i386.deb (--install):
 Es gibt kein Skript in der neuen Version des Paketes - gebe auf

With help from the forum i found the solution from User 'Durcairion' under
http://forum.ubuntuusers.de/topic/paketverwaltung-spinnt-nach-installation-von-/#post-2216112
Ich hatte gestern genau das gleiche Problem ...

Die Lösung: Editiere die Datei /var/lib/dpkg/status und entferne den Abschnitt, welcher zu deinem Paket gehört. Mach dir zur Sicherheit davor mal eine Kopie der /var/lib/dpkg/status File.

sudo cp /var/lib/dpkg/status /var/lib/dpkg/status_old
sudo gedit /var/lib/dpkg/status

Danach noch:

sudo aptitude update
sudo aptitude safe-upgrade

Und schon ging es bei mir wieder ...

So it has been a problem since 2009 ?!

But the dist-upgrade from *u*buntu 8.04 LTS to ubuntu 10.04 LTS is also affected:
http://www.ubuntugeek.com/known-ubuntu-10-04lucid-lynx-issuesbugs-with-workarounds.html

Giancarlo Di Paolo (6online) wrote :

Remove flashplugin-nonfree

sudo rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
sudo dpkg --remove --force-remove-reinstreq flashplugin-nonfree
sudo dpkg --purge --force-remove-reinstreq flashplugin-nonfree

Giancarlo Di Paolo (6online) wrote :

Ubuntu 10.04 LTS, kernel 2.6.32-22-generic

gdp@gdplaptop:~$ sudo apt-get update

gdp@gdplaptop:~$ sudo apt-get dist-upgrade

gdp@gdplaptop:~$ uname -a
Linux gdplaptop 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

Thank you very much!
--
Tim Topper Ph.D.
Instructor, School of Science and Technology
Yukon College t 867.668.8775
500 College Drive, PO Box 2799 f 867.668.8828
Whitehorse, Yukon Y1A 5K4 Canada www.yukoncollege.yk.ca

On Thu, May 20, 2010 at 2:47 AM, Giancarlo Di Paolo
<email address hidden> wrote:
> Remove flashplugin-nonfree
>
> sudo rm /var/lib/dpkg/info/flashplugin-nonfree.prerm
> sudo dpkg --remove --force-remove-reinstreq flashplugin-nonfree
> sudo dpkg --purge --force-remove-reinstreq flashplugin-nonfree
>
> --
> broken packaging: package flashplugin-nonfree failed to install/upgrade: (breaks upgrade)
> https://bugs.launchpad.net/bugs/429841
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: flashplugin-nonfree
>
> Upgrading 9.04 -> latest karmic.
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Sep 15 06:45:05 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
>  ErrorMessage: Package is in a very bad inconsistent state - you should  reinstall it before attempting configuration.
> Package: flashplugin-nonfree 10.0.22.87ubuntu1
> ProcVersionSignature: Ubuntu 2.6.28-11.38-generic
> SourcePackage: flashplugin-nonfree
> Title: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to install/upgrade:
> Uname: Linux 2.6.28-11-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/429841/+subscribe
>

Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in flashplugin-nonfree (Ubuntu Lucid):
importance: Undecided → Critical
Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Triaged
Changed in flashplugin-nonfree (Ubuntu Lucid):
assignee: nobody → Chris Coulson (chrisccoulson)
status: New → Triaged
Changed in flashplugin-nonfree (Ubuntu Karmic):
importance: Undecided → High
status: New → Triaged
milestone: none → karmic-updates
Changed in flashplugin-nonfree (Ubuntu Lucid):
milestone: none → lucid-updates
songuke (songuke-gmail) wrote :

Thank you so much. This works for me.

This work for me as well. Thank You so much.

songuke napsal(a):
> Thank you so much. This works for me.
>

Carlo de Wolf (wolfc) wrote :

Alternatively apply the following patch to flashplugin-nonfree.prerm instead of just removing it:

--- flashplugin-nonfree.prerm.orig 2010-05-31 13:44:35.000000000 +0200
+++ flashplugin-nonfree.prerm.new 2010-05-31 13:45:12.000000000 +0200
@@ -35,7 +35,7 @@
   done
   for p in $VARIANTS; do
     [ `update-alternatives --list "$p-flashplugin" | wc -l` = 0 ] && \
- update-alternatives --remove-all "$p-flashplugin"
+ update-alternatives --remove-all "$p-flashplugin" || true
   done
   ;;
  upgrade|deconfigure)

alexcastanaza (dacastanaza) wrote :

Hi.
I agree with comment #42.
I recently upgraded from 8.04 LTS to 10.04 LTS, (via update manager), and received many complains about flashplugin package errors. As soon as I have access to my home computer I will try the workaround described here. But I also want to ask if that is all needed for the upgrade to complete, or do I have to do something else for the upgrade to lucid be complete?

Robert Flaspoler (rlaura000) wrote :

Hi:
The work around works and that is all that need to be done to complete
the upgrade
On Mon, 2010-06-07 at 23:43 +0000, alexcastanaza wrote:
> Hi.
> I agree with comment #42.
> I recently upgraded from 8.04 LTS to 10.04 LTS, (via update manager), and received many complains about flashplugin package errors. As soon as I have access to my home computer I will try the workaround described here. But I also want to ask if that is all needed for the upgrade to complete, or do I have to do something else for the upgrade to lucid be complete?
>

alexcastanaza (dacastanaza) wrote :

Thank you.
I did the workaround and works just fine. The update manager works normally after this process.

Hi
had this problem updating from 8.04LTS to 10.04LTS which stops any updates, When I try to remove flashplugin get response " no such file or directory" yet still have red "no entry " sign at top of screen and comment about 1 broken item.

D. Adhiyaksa (zeonix1984) wrote :

Hi all,
Thank for this useful post, I have got this problem too after upgrading Hardy to Lucid on x86_64 platform and it solved.
Thanks Emanuel Greisen, you're really helpful.

Michael Vogt (mvo) wrote :

I can reproduce this on my hardy->lucid test upgrade setup.

Michael Vogt (mvo) wrote :

I uploaded a fix to lucid-proposed now, once that is available in the archive I would appreciate feedback so that we can move it to lucid-updates.

description: updated
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Triaged → In Progress
assignee: Chris Coulson (chrisccoulson) → Michael Vogt (mvo)
Michael Vogt (mvo) wrote :

Just for the record, I did a succesful upgrade test with the updated package with the auto-upgrade-tester (and reproduced the failure with that before too).

Chris Coulson (chrisccoulson) wrote :

Thanks for working on this. The change looks ok, and doesn't introduce any other issues.

For the SRU team, the part of the old prerm script which fails is this:

    [ `update-alternatives --list "$p-flashplugin" | wc -l` = 0 ] && \
    update-alternatives --remove-all "$p-flashplugin"

This used to remove the link once the last alternative had been removed, but is not necessary with the newer update-alternatives, and fails if you call it after removing the last alternative. Newer prerm scripts have already been updated to not do this, and the old script failing means that the alternative was already properly removed

John Smith (jsmith) wrote :

Earlier today I reported the error message I received about the upgrade process from 8.04 LTS to 10.04 LTS failing on this error. The installation process gave me an error about the system being unstable as a result of the failure to upgrade the Adobe Flashplayer and the inability to install the flashplut-nonfree for Firefox. The error then said that the upgrade would be rolled back. I am very happy to report that after 5.5 hours upgrading the upgrade was not rolled back for a non-essential package that failed to properly install.

Elizabeth (baldwin-elizabeth) wrote :

I am upgrading from Hardy to Lucid. Unfortunately Emanuel Greisen's fix does not work for me.

sudo rm /var/lib/dpkg/info/flashplugin-nonfree.prerm

is fine, but

sudo dpkg –remove –force-remove-reinstreq flashplugin-nonfree

gives response

dpkg: need an action option

I don't know this program well -- how can I give an action option? (Isn't -remove an action option? Is my installation of dpkg broken in some way too?)

Also, I should point out that those of us upgrading straight from Hardy to Lucid are probably the ones who least enjoy picking through bug reports. I have the impression that if I had enabled hardy-proposed first (?) then this would not have happened, and certainly if I'd uninstalled flashplugin-nonfree first this would not have happened. Someone should make this clear in the documentation for this upgrade!

Thanks for all your help.

Accepted flashplugin-nonfree into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed

I believe that you line sudo dpkg –remove –force-remove-reinstreq
flashplugin-nonfree
 should be sudo dpkg –remove –force-remove-reinstreq-flashplugin-nonfree

On Fri, 2010-06-25 at 10:36 +0000, Elizabeth wrote:
> sudo dpkg –remove –force-remove-reinstreq flashplugin-nonfree
>
>

John Smith (jsmith) wrote :

As a work around for the problem I edited /var/lib/dpkg/status and removed the entire block referencing flashplugin-nonfree. Once I did that I was able to update the system with the update manager and I was able to run synaptic and use the flashplugin-installer to install the flashplugin-nonfree. It seems that now .flv files, i.e. youtube, now play in Firefox

SRU Verification for Lucid:
I have reproduced the problem during a release upgrade from a fresh hardy to lucid with flashplugin-installer 10.1.53.64ubuntu0.10.04.1 in -updates and have verified that the version of flashplugin-installer 10.1.53.64ubuntu0.10.04.2 in -proposed fixes the issue.
I have verified that firefox has the right version installed in about:plugins and that the plugin is working on www.adobe.com and with a video on youtube.

Marking as verification-done

tags: added: verification-done
removed: verification-needed
Elizabeth (baldwin-elizabeth) wrote :

John Smith: excellent, many thanks, that worked.

Robert Flaspoler: that didn't work for me either. I still got "dpkg: need an action option". Not sure why it works for everyone else and not me.

Anyone official: This bug seems to have been around a while; it would be really nice if this page
https://help.ubuntu.com/community/LucidUpgrades#Upgrade%20from%208.04%20LTS%20to%2010.04%20LTS
said "first uninstall flashplayer-nonfree, then do the following, then reinstall it".
(Ktksbai.)

Kam Chuan Yow (kamyow) wrote :

Thank you very much Emanuel Greisen, your suggestion/solution work for me.

I started Bug #429841 on 2010-06-15 thinking that my problem was different from the one reported here and your solution had not worked for me but I only realised that the flashplugin-nonfree actually worked on all my three web browsers under Lucid. If my guess is correct, I think it was not working on my Firefox browser before my report was caused by the NOScript plugin (installed) which I had forgotten about at the time.

Sorry and thanks again.

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2010-06-26
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Fix Released → Fix Committed

SRU Lucid:

Do not push that fix into -updates it introduces a regression in flashplugin-nonfree.prerm
Removing flashplugin-nonfree ...
prerm called with unknown argument `remove'
dpkg: error processing flashplugin-nonfree (--remove):
 subprocess installed pre-removal script returned error exit status 1
Errors were encountered while processing:
 flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Fix Committed → In Progress
tags: added: regression-proposed verification-failed
removed: verification-done
Michael Vogt (mvo) wrote :

Thanks a lot Jean-Baptiste! I uploaded a new version that fixes this problem to proposed.

Jonathan Riddell (jr) on 2010-06-29
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: In Progress → Fix Committed
Jonathan Riddell (jr) wrote :

Note the version accepted was from chris coulson which is slightly different than the version by mvo

tags: removed: verification-failed
tags: added: verification-needed

Accepted into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

SRU Verification Lucid:
I have verified that flashplugin-nonfree (10.1.53.64ubuntu0.10.04.3) in -proposed fixes the removal issue.
Marking as verification done.

Thanks.

description: updated
tags: added: verification-done
removed: verification-needed

Il 29/06/2010 19:22, Jean-Baptiste Lallement ha scritto:
> SRU Verification Lucid:
> I have verified that flashplugin-nonfree (10.1.53.64ubuntu0.10.04.3) in -proposed fixes the removal issue.
> Marking as verification done.
>
> Thanks.
>
> ** Description changed:
>
> TEST CASE for 8.04 -> 10.04 SRU:
> 1. use hardy
> 2. install flashplugin-nonfree
> 3. run "update-manager --proposed" to upgrade to lucid
> 4. verify that it fails in flashplugin-nonfree
>
> 5. use fresh hardy ubuntu desktop but enable hardy-proposed this time
> 6. repeat 2,3
> 7. verify that it works now
>
> Its not really needed to reproduce the failure (step 2,3,4) because of the amount of duplicates. I consider
> this verification a success if 5,6,7 works ok.
> +
> + TEST CASE 2: Removal of flashplugin-nonfree
> + $ apt-get install flashplugin-nonfree
> + $ apt-get remove flashplugin-nonfree
> +
> + VERIFICATION DONE:
> + - Package is removed cleanly
>
>
> Binary package hint: flashplugin-nonfree
>
> Upgrading 9.04 -> latest karmic.
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Sep 15 06:45:05 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage:
> ErrorMessage: Package is in a very bad inconsistent state - you should reinstall it before attempting configuration.
> Package: flashplugin-nonfree 10.0.22.87ubuntu1
> ProcVersionSignature: Ubuntu 2.6.28-11.38-generic
> SourcePackage: flashplugin-nonfree
> Title: package flashplugin-nonfree 10.0.22.87ubuntu1 failed to install/upgrade:
> Uname: Linux 2.6.28-11-generic i686
>
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>
>
Thanks to all.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashplugin-nonfree - 10.1.53.64ubuntu0.10.04.3

---------------
flashplugin-nonfree (10.1.53.64ubuntu0.10.04.3) lucid-proposed; urgency=low

  * debian/flashplugin-nonfree.prerm:
    - Ensure that the flashplugin-nonfree prerm script doesn't fail
      when trying to remove the package (LP: #429841)
 -- Chris Coulson <email address hidden> Mon, 28 Jun 2010 10:15:59 +0100

Changed in flashplugin-nonfree (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Seems this is not an issue in maverick, since it's only an upgrade problem?

Changed in flashplugin-nonfree (Ubuntu):
milestone: ubuntu-9.10 → none
status: Triaged → Invalid
Darxus (darxus) wrote :

Why is this version not listed at http://packages.ubuntu.com/flashplugin-nonfree ?
I wasted hours....

Darxus (darxus) wrote :

What does it take to get this in the main lucid archives instead of just lucid-updates to stop horribly breaking upgrades between the two latest LTS releases?

Darxus [2010-07-21 0:55 -0000]:
> What does it take to get this in the main lucid archives instead of just
> lucid-updates to stop horribly breaking upgrades between the two latest
> LTS releases?

Upgrades will always jump straight to the lucid-updates version, not
to lucid final. We technically can't put it into the "lucid" pocket
after release.

Darxus (darxus) wrote :

It looks like it will bee in 10.4.1?

Which seems like about the right way to do it. If the instructions are updated to warn people to remove flashplugin-nonfree before upgrading.

Jonathan Hill (jmhill) wrote :

Thanks for keeping me updated, the issue appears to be solved on this end.
I wish I could say more, thanks.

Best;
Jonathan

Martin Pitt wrote:
> Darxus [2010-07-21 0:55 -0000]:
>
>> What does it take to get this in the main lucid archives instead of just
>> lucid-updates to stop horribly breaking upgrades between the two latest
>> LTS releases?
>>
>
> Upgrades will always jump straight to the lucid-updates version, not
> to lucid final. We technically can't put it into the "lucid" pocket
> after release.
>
>

Changed in flashplugin-nonfree (Ubuntu Karmic):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions